using System;

namespace Macaw.BizTalk.Pipeline
{
    internal static class StaticMessageContextBagNames
    {
        public const string Count = "ContextPropertiesCount";
        public const string Key = "ContextProperties{0}Key";
        public const string Namespace = "ContextProperties{0}Namespace";
        public const string Promote = "ContextProperties{0}Promote";
        public const string Value = "ContextProperties{0}Value";

        public static string FormatKey(int index)
        {
            return String.Format(Key, index);
        }

        public static string FormatNamespace(int index)
        {
            return String.Format(Namespace, index);
        }

        public static string FormatPromote(int index)
        {
            return String.Format(Promote, index);
        }

        public static string FormatValue(int index)
        {
            return String.Format(Value, index);
        }
    }
}
